Email Accounts

Connect Email Account

POST/v1/email-accounts/connect
POST
/v1/email-accounts/connect

Connect new sending email accounts with SMTP and IMAP settings

This can be a large request and may take some time to complete. But you will get response immediately after the request is submitted.

On request of this API, you will receive a requestId that can be used to check the status of the import process.

To check the status of the import process, you can use the /v1/email-accounts/connect/status API.

After completion you will receive a CSV file link containing the email account import details.

Authorization

x-api-key<token>

API key for Open API authentication

In: header

Request Body

application/jsonRequired

Array of email accounts to be added with SMTP and IMAP settings

bodyarray<object>

Responses

200
The email accounts connection process has been initiated successfully. Please wait while we connect your email accounts. You may check the status using this API `/v1/email-accounts/connect/status/{{requestId}}`.
{
  "message": "The email accounts connection process has been initiated successfully. Please wait while we connect your email accounts. You may check the status using this API `/v1/email-accounts/connect/status/{{requestId}}`.",
  "payload": {
    "requestId": "129a184"
  }
}

Request

curl -X POST \
  "https://open-api.saleshandy.com/v1/email-accounts/connect" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '[
  {
    "emailServiceProvider": "gsuite",
    "fromFirstName": "John",
    "fromLastName": "Snow",
    "smtpEmailAddress": "[email protected]",
    "smtpUserName": "[email protected]",
    "smtpPassword": "smtp-password",
    "smtpHost": "smtp.gmail.com",
    "smtpPort": 465,
    "smtpEncryption": "ssl",
    "imapEmailAddress": "[email protected]",
    "imapUserName": "[email protected]",
    "imapPassword": "imap-password",
    "imapHost": "imap.gmail.com",
    "imapPort": 993,
    "imapEncryption": "ssl"
  }
]'

Response

No response body